--- linux-2.6.27.6/block/ioctl.c	2008-11-14 01:56:21.000000000 +0800
+++ linux-2.6.27.6.yaffs/block/ioctl.c	2011-05-08 18:01:05.000000000 +0800
@@ -19,6 +19,8 @@
 	int i;
 	int err;
 
+	//printk("wgl : function = %s, file = %s\n", __func__, __FILE__);
+
 	if (!capable(CAP_SYS_ADMIN))
 		return -EACCES;
 	if (copy_from_user(&a, arg, sizeof(struct blkpg_ioctl_arg)))
@@ -142,6 +144,8 @@
 	struct backing_dev_info *bdi;
 	int ret, n;
 
+	//printk("wgl : function = %s, file = %s\n", __func__, __FILE__);
+
 	switch (cmd) {
 	case BLKRAGET:
 	case BLKFRAGET:
@@ -204,6 +208,9 @@
 			struct gendisk *disk, unsigned cmd, unsigned long arg)
 {
 	int ret;
+
+	//printk("wgl : function = %s, file = %s\n", __func__, __FILE__);
+
 	if (disk->fops->unlocked_ioctl)
 		return disk->fops->unlocked_ioctl(file, cmd, arg);
 
@@ -229,6 +236,8 @@
 	struct gendisk *disk = bdev->bd_disk;
 	int ret, n;
 
+	//printk("wgl : function = %s, file = %s\n", __func__, __FILE__);
+
 	switch(cmd) {
 	case BLKFLSBUF:
 		if (!capable(CAP_SYS_ADMIN))
